# Note that this is NOT a relocatable package
# DON'T FORGET TO UPDATE THE MOZILLA DEPENDENCY
%define ver      0.12.1
%define rel      1
%define prefix   /usr
%define sysconfdir	/etc

Summary:   Galeon
Name:      galeon
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Applications/Internet
Source:    galeon-%{PACKAGE_VERSION}.tar.bz2
URL:       http://galeon.sourceforge.net
BuildRoot: %{_tmppath}/galeon-%{PACKAGE_VERSION}-root
Packager:  Marco Pesenti Gritti <mpeseng@tin.it>
Autoreq: 0
BuildRequires: 	gettext >= 0.10.38
Requires:       glib >= 1.2.9
Requires:       gtk+ >= 1.2.9
Requires:       libxml >= 1.8.14
Requires:       gnome-libs >= 1.2.11
Requires:       GConf >= 1.0.4
Requires:       ORBit >= 0.5.7
Requires:       oaf >= 0.6.5
Requires:       gnome-vfs >= 1.0.1
Requires:       gdk-pixbuf >= 0.10.1
Requires: 	libglade >= 0.13
Requires: 	mozilla = 0.9.4

%description
Gnome browser based on Gecko (Mozilla rendering engine)
%prep
%setup

%build
if [ "$MOZILLA_LIBS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-libs=$MOZILLA_LIBS"
fi
if [ "$MOZILLA_INCLUDES" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-includes=$MOZILLA_INCLUDES"
fi
if [ "$MOZILLA_CVS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --enable-mozilla-cvs"
fi

if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		--disable-install-schemas \
		$MOZILLA_FLAGS
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
		--with-gnome --without-debug --sysconfdir=%{sysconfdir} \
		--disable-install-schemas \
		$MOZILLA_FLAGS
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(0555, bin, bin, 755)

%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL THANKS TODO FAQ

%{_bindir}/galeon
%{_bindir}/galeon-bin
%{_bindir}/galeon-config-tool

%defattr (0444, bin, bin,755)
%config %{_sysconfdir}/gconf/schemas/galeon.schemas
%config %{_sysconfdir}/sound/events/galeon.soundlist 
%{_datadir}/gnome/apps/Internet/*.desktop
%{_datadir}/galeon
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/oaf/GNOME_Galeon_Automation.oaf
%{_datadir}/pixmaps/*
%{_datadir}/sounds/galeon

# FIXME I guess there is a better way
%{prefix}/man/man1/galeon.1*

%defattr (-, root, root)
%{_datadir}/gnome/help/*

%post
%{_bindir}/galeon-config-tool --fix-gconf-permissions
%{_bindir}/galeon-config-tool --pkg-install-schemas

%changelog
* Wed Sep 19 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12.1

* Fri Aug 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12

* Thu Jul 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.3

* Mon Jul 23 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.2

* Mon Jul  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.1
- requires libxml >= 1.8.14

* Tue Jun 12 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.0

* Wed Jun  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used
- .bz2 source archiv
